> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipment Items

> Get all items for a Happy Returns shipment.

### Required API key scope
- Happy Returns Shipments (Read)




## OpenAPI

````yaml get /happy-returns/shipments/{id}/items
openapi: 3.1.0
info:
  title: Happy Returns Shipment API
  version: v1
  description: API used for getting Happy Returns shipment and item details.
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Happy Returns Shipment
  - name: Happy Returns Shipment Items
paths:
  /happy-returns/shipments/{id}/items:
    get:
      tags:
        - Happy Returns Shipment Items
      summary: Get Shipment Items
      description: |
        Get all items for a Happy Returns shipment.

        ### Required API key scope
        - Happy Returns Shipments (Read)
      operationId: getShipmentItems
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            The unique identifier associated with the shipment, assigned by
            Loop.
          schema:
            type: integer
          example: 47382
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  current_page:
                    type: integer
                    examples:
                      - 1
                    description: The identifier associated with the current page.
                  data:
                    type: array
                    description: The data for each item in the shipment.
                    items:
                      $ref: '#/components/schemas/ShipmentItem'
                  first_page_url:
                    type: string
                    examples:
                      - >-
                        https://api.loopreturns.com/api/v1/happy-returns/shipments/123/items?page=1
                    description: The link to the first page of paginated results.
                  from:
                    type: integer
                    examples:
                      - 1
                    description: The number of the first item on the page.
                  last_page:
                    type: integer
                    examples:
                      - 1
                    description: The identifier associated with the last page.
                  last_page_url:
                    type: string
                    examples:
                      - >-
                        https://api.loopreturns.com/api/v1/happy-returns/shipments/123/items?page=1
                    description: The link to the last page of paginated results.
                  next_page_url:
                    type: string
                    description: The link to the next page of paginated results.
                  path:
                    type: string
                    examples:
                      - >-
                        https://api.loopreturns.com/api/v1/happy-returns/shipments/123/items
                    description: The endpoint's path.
                  per_page:
                    type: integer
                    examples:
                      - 200
                    description: The number of items per page.
                  prev_page_url:
                    type: string
                    description: The link to the previous page of paginated results.
                  to:
                    type: integer
                    examples:
                      - 1
                    description: The number of the last item on the page.
                  total:
                    type: integer
                    examples:
                      - 1
                    description: The total number of items returned.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - api_key: []
components:
  schemas:
    ShipmentItem:
      type: object
      properties:
        carrier:
          type: string
          examples:
            - ups
          description: The carrier associated with the item.
        happy_returns_return_bag_barcodes:
          type: array
          items:
            type: string
          examples:
            - - HRABCDEF-1234-1
          description: The identifier that appears on Happy Returns polybags.
        happy_returns_rma_id:
          type: string
          examples:
            - HRABCDEF
          description: >-
            The identifier shared with the customer for dropping the item off at
            a Return Bar.
        happy_returns_shipment_id:
          type: string
          examples:
            - '45678'
          description: >-
            The unique identifier associated with the shipment, assigned by
            Happy Returns.
        item_title:
          type: string
          examples:
            - T-Shirt
          description: The name of the item.
        order_name:
          type: string
          examples:
            - '#1234'
          description: The name of the order.
        po_number:
          type: string
          examples:
            - PO-123456
          description: >-
            The identifier associated with a consolidated shipment from Happy
            Returns.
        return_id:
          type: integer
          examples:
            - 123
          description: The return's unique identifier.
        shipment_id:
          type: integer
          examples:
            - 12345
          description: >-
            The unique identifier associated with the shipment, assigned by
            Loop.
        shipping_box_barcode:
          type: string
          examples:
            - SB-12345678
          description: >-
            The identifier that appears on the outside of a consolidated box
            shipped by Happy Returns.
        sku:
          type: string
          examples:
            - SKU-123456
          description: The SKU of the product variant being returned.
        tracking_number:
          type: string
          examples:
            - 1Z1234567890
          description: The return's tracking number.
        variant_title:
          type: string
          examples:
            - Blue
          description: The name of the product variant.
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              examples:
                - '401'
            http_code:
              type: string
              examples:
                - GEN-UNAUTHORIZED
            message:
              type: string
              examples:
                - Unauthorized.
    NotFoundResponse:
      type: object
      properties:
        message:
          type: string
          examples:
            - Not Found
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````